<?php
/**
 * @package	RSMembership!
 * @copyright	(c) 2009 - 2016 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

class ModRsmembershipSubscribeHelper
{
    public static function getItems($params)
	{
		$db 	= JFactory::getDbo();
		$query	= $db->getQuery(true);

		$query
			->select('m.id, m.name, m.ordering, m.category_id')
			->from($db->qn('#__rsmembership_memberships', 'm'))
			->join('left', $db->qn('#__rsmembership_categories', 'c').' ON '.$db->qn('c.id').' = '.$db->qn('m.category_id'))
			->where($db->qn('m.published').' = '.$db->q('1'))
			->order($db->qn('m.ordering') . ' ASC');

        $categories = $params->get('categories', array());
        if ( !empty($categories) )
            $query->where($db->qn('m.category_id').'  IN ('.ModRsmembershipSubscribeHelper::qi((array) $categories).')');

		$db->setQuery($query);
		$items = $db->loadObjectlist();

		return $items;
	}
	
	public static function qi($array) {
		static $db;

		if (!$db) {
			$db = JFactory::getDBO();
		}

		if (is_array($array)) {
			$quoted = array();
			foreach ($array as $value) {
				$quoted[] = $db->q($value);
			}
			return implode(',', $quoted);
		}

		return $array;
	}
}