<?php
/**
* @package RSMembership!
* @copyright (C) 2007-2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class mod_rsmembership_subscribeInstallerScript
{
	protected static $minJoomla = '3.7.0';
	protected static $minComponent = '1.22.23';

	public function preflight($type, $parent)
	{
		if ($type == 'uninstall')
		{
			return true;
		}

		try
		{
			$jversion = new JVersion();

			if (!$jversion->isCompatible(static::$minJoomla))
			{
				throw new Exception('Please upgrade to at least Joomla! ' . static::$minJoomla . ' before continuing!');
			}

			if (!file_exists(JPATH_ADMINISTRATOR.'/components/com_rsmembership/helpers/rsmembership.php'))
			{
				throw new Exception('Please install the RSMembership! component before continuing.');
			}
			
			if (!file_exists(JPATH_ADMINISTRATOR.'/components/com_rsmembership/helpers/version.php'))
			{
				throw new Exception('Please upgrade RSMembership! to at least version ' . static::$minComponent . ' before continuing!');
			}

			require_once JPATH_ADMINISTRATOR.'/components/com_rsmembership/helpers/version.php';

			if (!class_exists('RSMembershipVersion') || version_compare((string) new RSMembershipVersion, static::$minComponent, '<'))
			{
				throw new Exception('Please upgrade RSMembership! to at least version ' . static::$minComponent . ' before continuing!');
			}

		}
		catch (Exception $e)
		{
			JFactory::getApplication()->enqueueMessage($e->getMessage(), 'error');
			return false;
		}

		return true;
	}
}